# H245NegTerminalCapabilitySet Class Reference

`#include <h323neg.h>`

Inheritance diagram for H245NegTerminalCapabilitySet:

[legend]
Collaboration diagram for H245NegTerminalCapabilitySet:
[legend]

## Public Member Functions

| H245NegTerminalCapabilitySet (H323EndPoint &endpoint, H323Connection &connection)
PBoolean | Start (PBoolean renegotiate, PBoolean empty=false)
void | Stop (PBoolean dec=false)
PBoolean | HandleIncoming (const H245_TerminalCapabilitySet &pdu)
PBoolean | HandleAck (const H245_TerminalCapabilitySetAck &pdu)
PBoolean | HandleReject (const H245_TerminalCapabilitySetReject &pdu)
PBoolean | HandleRelease (const H245_TerminalCapabilitySetRelease &pdu)
void | HandleTimeout ()
bool | HasSentCapabilities () const
bool | IsSendingCapabilities () const
bool | ConfrimedCapabilitiesSent () const
bool | HasReceivedCapabilities () const

## Protected Types

| e_Idle
| e_InProgress
| e_Confirmed
| e_NumStates
enum | States { e_Idle, e_InProgress, e_Confirmed, e_NumStates }

## Protected Attributes

enum H245NegTerminalCapabilitySet::States | state
unsigned | inSequenceNumber
unsigned | outSequenceNumber
PBoolean | receivedCapabilites

## Detailed Description

Exchange capabilities on a H245 connection as per H245 section 8.3

## Member Enumeration Documentation

enum H245NegTerminalCapabilitySet::States `[protected]`

Enumerator:

  e_Idle |
  e_InProgress |
  e_Confirmed |
  e_NumStates |

## Constructor & Destructor Documentation

H245NegTerminalCapabilitySet::H245NegTerminalCapabilitySet | ( | H323EndPoint & | endpoint,
|  | H323Connection & | connection |
| ) |  |  |

## Member Function Documentation

bool H245NegTerminalCapabilitySet::ConfrimedCapabilitiesSent | ( |  | ) | const`[inline]`

PBoolean H245NegTerminalCapabilitySet::HandleAck | ( | const H245_TerminalCapabilitySetAck & | pdu | ) |

PBoolean H245NegTerminalCapabilitySet::HandleIncoming | ( | const H245_TerminalCapabilitySet & | pdu | ) |

PBoolean H245NegTerminalCapabilitySet::HandleReject | ( | const H245_TerminalCapabilitySetReject & | pdu | ) |

PBoolean H245NegTerminalCapabilitySet::HandleRelease | ( | const H245_TerminalCapabilitySetRelease & | pdu | ) |

void H245NegTerminalCapabilitySet::HandleTimeout | ( |  | ) | `[virtual]`

Reimplemented from H245Negotiator.

bool H245NegTerminalCapabilitySet::HasReceivedCapabilities | ( |  | ) | const`[inline]`

bool H245NegTerminalCapabilitySet::HasSentCapabilities | ( |  | ) | const`[inline]`

bool H245NegTerminalCapabilitySet::IsSendingCapabilities | ( |  | ) | const`[inline]`

PBoolean H245NegTerminalCapabilitySet::Start | ( | PBoolean | renegotiate,
|  | PBoolean | empty = `false` |
| ) |  |  |

void H245NegTerminalCapabilitySet::Stop | ( | PBoolean | dec = `false` | ) |

## Field Documentation

unsigned H245NegTerminalCapabilitySet::inSequenceNumber `[protected]`

unsigned H245NegTerminalCapabilitySet::outSequenceNumber `[protected]`

PBoolean H245NegTerminalCapabilitySet::receivedCapabilites `[protected]`

enum H245NegTerminalCapabilitySet::States H245NegTerminalCapabilitySet::state `[protected]`

The documentation for this class was generated from the following file:

- h323neg.h